Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Interface BinaryOperator

All Known Implementing Classes:
  CollectionOperator, ComparativeOperator, Instanceof, LogicalAnd, LogicalOr, MathAdd, MathAtan2, MathDivide, MathIeeeRemainder, MathMax, MathMin, MathMultiply, MathPow, MathRandom, MathSubtract, StringCharAt, StringCompareToIgnoreCase, StringConcat, StringContains, StringEndsWith, StringEqualsIgnoreCase, StringLike, StringStartsWith

public interface BinaryOperator

An interface for concrete binary operator classes.

Field Summary
`static int` | `LHS_INDEX` The index of left hand side operand of this binary operator.
`static int` | `RHS_INDEX` The index of right hand side operand of this binary operator.

Method Summary
`Object` | `getLeftHandSide()` Returns left hand side operand of this binary operator.
`Object` | `getRightHandSide()` Returns right hand side operand of this binary operator.

Field Detail

### LHS_INDEX

    public static final int LHS_INDEX

  The index of left hand side operand of this binary operator.

  See Also:
    Constant Field Values

### RHS_INDEX

    public static final int RHS_INDEX

  The index of right hand side operand of this binary operator.

  See Also:
    Constant Field Values

Method Detail

### getLeftHandSide

    public Object getLeftHandSide()

  Returns left hand side operand of this binary operator.

  Returns:
    The left hand side operand.

### getRightHandSide

    public Object getRightHandSide()

  Returns right hand side operand of this binary operator.

  Returns:
    The left hand side operand.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved